<? error_reporting(0); $current_user = Model_Users::getCurrent(); ?>
<? $escort_model = new Model_Escorts(); ?>
<? if ( count($this->comments) > 0 ): ?>
	<? foreach ($this->comments as $comment): ?>
		<div class="comment parent" style="padding-left: 0px;">
			<div class="nickname">
				<? if($comment['user_type'] == 'member'): ?>
				<span class="strong"><a href="<?= $this->getLink('member-info',array('username'=> $comment->username)) ?>" style="color:#fff"><?=  $comment->username ?></a> (<?= $comment->comments_count ?> <?= __('comments') ?>)</span> (<?= date("d M Y, H:i", strtotime($comment->time)); ?>)
				<? else: ?>
				<? $escort = $escort_model->getByUserId($comment['user_id']); ?>
				<span class="strong"><a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" style="color:#fff"><?=  $escort->showname ?></a> (<?= $comment->comments_count ?> <?= __('comments') ?>)</span> (<?= date("d M Y, H:i", strtotime($comment->time)); ?>)
				<? endif; ?>	
			</div>

			<div id="comment_info_345" class="comment-info">
				<div class="fleft">
					<span class="add-comment">
						<img src="<?= _st('reply.gif') ?>" width="39px" height="19px" alt="escort <?= $this->city->title ?>"/>
					</span>
				</div>
				
				<? if ( $current_user->id != $comment->user_id ): ?>
				<div class="fleft">
					<? if ( $comment['thumbdown_count'] == 0 ): ?>
						<div class="votes"><?= $comment['thumbdown_count'] ?></div>
					<?php else: ?>
						<div class="votes vote-down">-<?= $comment['thumbdown_count'] ?></div>
					<? endif; ?>
					<a rel="<?= $comment['id'] ?>" href="#" class="vote-down"><img alt="" src="<?= _st('icon_thumbsdown.gif') ?>" width="15px" height="18px"></a>
					<div class="clear"></div>
				</div>

				<div class="fleft">
					<? if ( $comment['thumbup_count'] == 0 ): ?>
						<div class="votes"><?= $comment['thumbup_count'] ?></div>
					<?php else: ?>
						<div class="votes vote-up">+<?= $comment['thumbup_count'] ?></div>
					<? endif; ?>
					<a rel="<?= $comment['id'] ?>" href="#" class="vote-up"><img alt="" src="<?= _st('icon_thumbsup.gif') ?>" width="16px" height="18px"></a>
					<div class="clear"></div>
				</div>

				<div class="clear"></div>
				<? endif; ?>
			</div>
			<div class="comment-text"><?= $comment['message'] ?></div>
			<? if ( count($comment['replied_comment']) ): ?>
				<? foreach($comment['replied_comment'] as $rep_comment): ?>
					<? $admin_reply = strtolower($rep_comment['username']) == MODEL_COMMENTS::SITEADMIN_USERNAME ? true : false; ?>
					<div class="comment  <?= $admin_reply ? 'red-border' : '' ?>">
						<div class="nickname">
							<? if($admin_reply): ?>
								<span class="strong  admin-reply" ><?=  $rep_comment['username'] ?></span>
							<? elseif($comment['user_type'] == 'member'): ?>
								<span class="strong " ><a href="<?= $this->getLink('member-info',array('username'=> $rep_comment['username'])) ?>" style="color:#fff"><?=  $rep_comment['username'] ?></a><?= "(".$rep_comment['comments_count']." ". __('comments').")"?></span>&nbsp; (<?= date("d M Y, H:i", strtotime($rep_comment['time'])); ?>)
							<? else: ?>
								<? $escort = $escort_model->getByUserId($comment['user_id']); ?>
								<span class="strong"><a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><?=  $escort->showname ?></a> <?= "(".$rep_comment['comments_count']." ". __('comments').")"?></span>&nbsp; (<?= date("d M Y, H:i", strtotime($rep_comment['time'])); ?>)
							<? endif; ?>
						</div>

						<div id="comment_info_345" class="comment-info">

							<? if ( $current_user->id != $rep_comment['user_id'] && !$admin_reply ): ?>
							<div class="fleft">
								<? if ( $rep_comment['thumbdown_count'] == 0 ): ?>
									<div class="votes"><?= $rep_comment['thumbdown_count'] ?></div>
								<?php else: ?>
									<div class="votes vote-down">-<?= $rep_comment['thumbdown_count'] ?></div>
								<? endif; ?>
								<a rel="<?= $rep_comment['id'] ?>" href="#" class="vote-down"><img alt="" src="<?= _st('icon_thumbsdown.gif') ?>"></a>
								<div class="clear"></div>
							</div>

							<div class="fleft">
								<? if ( $rep_comment['thumbup_count'] == 0 ): ?>
									<div class="votes"><?= $rep_comment['thumbup_count'] ?></div>
								<?php else: ?>
									<div class="votes vote-up">+<?= $rep_comment['thumbup_count'] ?></div>
								<? endif; ?>
								<a rel="<?= $rep_comment['id'] ?>" href="#" class="vote-up"><img alt="" src="<?= _st('icon_thumbsup.gif') ?>"></a>
								<div class="clear"></div>
							</div>

							<div class="clear"></div>
							<? endif; ?>
						</div>

						<div class="comment-text"><?= $rep_comment['message'] ?></div>
					</div>
				<? endforeach; ?>
			<? endif; ?>

			<div class="reply_place"></div>

		</div>

	<?php endforeach; ?>

	<div class="clear"></div>

	<?php $pages_count = ceil($this->count / $this->per_page); ?>
	<? if ($pages_count > 1): ?>
	<p>
		<?php if($pages_count != 1): ?>			
				<?  $pages = $this->paging($this->count, $this->page, $this->per_page); ?>
				<? if ( 1 < $this->page): ?>
					<a class="prev" href="#" onclick="return Cubix.Comments.LoadComments({ page: <?= $this->page - 1 ?> })"></a>
				<? endif ?>

				<? foreach ( $pages as $page ): ?>
					<? if ( $this->page == $page ): ?>
						<span><?= $page ?></span>
					<? else: ?>
						<a class="p" href="#" onclick="return Cubix.Comments.LoadComments({ page: <?= $page ?> })"><?= $page ?></a>
					<? endif ?>
				<? endforeach; ?>

				<? if ( $pages_count > $this->page): ?>
					<a class="next" href="#" onclick="return Cubix.Comments.LoadComments({ page: <?= $this->page + 1 ?> })"></a>
				<? endif ?>			
		<?php endif;?>
	</p>
	<? endif; ?>

<? else: ?>
<p style="margin-bottom: 0"><?= $this->t('no_comment') ?></p>
<?php endif; ?>
